﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    --app-text-color: #000;
    --app-text-gray-color: #48484b;
    --app-bg-color: #f5f5f5;
    /* ReSharper disable once CssNotResolved */
    --app-box-bg-color: var(--bs-white);
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }


body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    color: var(--app-text-color);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
}


/*Loader*/

.lds-ring {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center
}

.lds-modal-ring {
    height: 20px;
    width: 20px;
}

.lds-ring div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 64px;
    height: 64px;
    margin: 8px;
    border: 8px solid black;
    border-radius: 50%;
    animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: black transparent transparent transparent;
}

    .lds-ring div:nth-child(1) {
        animation-delay: -0.45s;
    }

    .lds-ring div:nth-child(2) {
        animation-delay: -0.3s;
    }

    .lds-ring div:nth-child(3) {
        animation-delay: -0.15s;
    }

@keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/*field loader*/

.field-loader-ring {
    align-items: center;
    justify-content: center;
    padding-bottom: 20px;
}

    .field-loader-ring div {
        box-sizing: border-box;
        display: block;
        position: absolute;
        width: 14px;
        height: 14px;
        margin: 8px;
        border: 2px solid black;
        border-radius: 50%;
        animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
        border-color: black transparent transparent transparent;
    }

        .field-loader-ring div:nth-child(1) {
            animation-delay: -0.45s;
        }

        .field-loader-ring div:nth-child(2) {
            animation-delay: -0.3s;
        }

        .field-loader-ring div:nth-child(3) {
            animation-delay: -0.15s;
        }

/*Modal*/
.modal {
    display: block;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(1px);
}

.modal-dialog {
    position: absolute !important;
    left: 50% !important;
    top: 50% !important;
    transform: translate(-50%, -50%) !important;
    width: 750px !important;
    max-width: 750px !important;
}

.modal-success-footer {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 50px;
}

    .modal-success-footer img {
        height: 75px;
        width: 75px;
    }

.loading-modal-body {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 200px;
    padding: 0px 50px;
}

.loading-modal-text > h3 {
    font-weight: 700;
    font-size: 24px;
    text-align: center;
    margin: 0;
    line-height: 2;
    margin-left: 25px;
    margin-top: 10px;
}

.loading-modal-text > p {
    font-weight: 700;
    font-size: 24px;
    text-align: center;
    margin: 0;
    line-height: 2;
    margin-left: 25px;
}

.indicator-container {
    display: flex;
    justify-content: center;
    height: 150px;
}




ul li ul {
    visibility: hidden;
    opacity: 0;
    min-width: 5rem;
    position: absolute;
    transition: all 0.5s ease;
    margin-top: 1rem;
    left: 0;
    display: none;
    z-index: 1;
}

    ul li:hover > ul,
    ul li:focus-within > ul,
    ul li ul:hover,
    ul li ul:focus {
        visibility: visible;
        opacity: 1;
        display: block;
    }

    ul li ul li {
        clear: both;
        width: 100%;
    }

li:hover,
li:focus-within {
    background: #e9ecef;
    cursor: pointer;
}

    li:focus-within a {
        outline: none;
    }

.full-screen-loader-container {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    min-height: 100vh;
}

.auth-error-container {
    color: #48484b;
    flex: 1 1;
    font-size: 1.1rem;
    height: 100vh;
    max-width: 100%;
    padding: 6rem;
}

.auth-error-title {
    font-weight: 500;
    line-height: 1.2;
    margin-bottom: 0.5rem;
    margin-top: 0;
    font-size: 2.5rem;
    font-family: TeliaSans,system-ui,-apple-system,Segoe UI,Roboto,Helvetica Neue,Arial,Noto Sans,Liberation Sans,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;
}

.auth-error-btn {
    align-items: center;
    border: none;
    border-radius: 62.4375rem;
    display: inline-flex;
    font-size: 1rem !important;
    font-weight: 500 !important;
    height: auto !important;
    justify-content: center;
    letter-spacing: .025rem;
    line-height: 1.3;
    padding: 0.875rem 1.5rem;
    transition: all .15s ease;
    background-color: #e6e6e6;
}



.log-out-message-container {
    display: flex;
    justify-content: center;
    height: 365px;
    align-items: start;
}

.log-out-info-icon-container {
    display: flex;
    justify-content: center;
    padding: 0 25px;
    margin-top: 25px;
}

.underline-text {
    color: #0077B3;
    text-decoration: underline;
    cursor: pointer;
}

.log-out-button {
    cursor: pointer;
    margin-left: 20px
}

.country-dropdown {
    min-width: 105px;
    border-radius: 0.5rem;
    margin-right: 5px;
}

.no-display {
    display: none !important;
}

input[type=date] {
    display: block !important;
    text-align: start !important;
}

input::-webkit-date-and-time-value {
    text-align: start !important;
}

.column-flex-container {
    display: flex;
    flex-direction: column;
}

.form-section-container {
    display: flex;
    border-top: 1px solid #C1C1C1;
    padding: 30px 0;
}

.form-field-container {
    display: flex;
    flex-direction: column
}

.row-reverse {
    flex-direction: row-reverse;
}

.text-area-container {
    width: 41%;
    margin-bottom: 25px;
}



.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: none;
}

.invalid {
    outline: none;
}

.page {
    margin: 0 50px;
}

.wrap {
    white-space: inherit !important;
}

.modal-error-button {
    justify-self: center;
    align-self: center;
    margin-bottom: 50px;
    background: #FF6961 !important;
    color: #ffff !important;
    letter-spacing: 1.5px;
    display: flex;
    justify-content: center !important;
    border: none !important;
}

    .modal-error-button:hover {
        background: #FF6961;
        color: #ffff;
    }

.validation-message-container {
    align-self: flex-start;
    margin-left: 10px;
}

.validation-message {
    color: #bf0040;
    font-weight: 400;
}

.form-section-header {
    width: 235px;
    font-size: 16px;
    line-height: 25px;
}

.main-container {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    visibility: hidden;
}

.submit-button {
    height: 55px !important;
    font-size: 20px !important;
    justify-content: center !important;
    margin-top: 25px;
    padding: 25px;
    width: fit-content !important;
    border-width: 2px;
}

.form-footer {
    margin-top: 35px;
    font-size: 14px;
}

.radio-item {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

    .radio-item > label {
        margin-left: 10px
    }


input.form-control {
    border-color: #949494;
    border-radius: 0.5rem;
}

.button-container {
    display: flex;
    margin-top: 30px;
}

    .button-container > button:nth-child(2) {
        margin-left: 30px;
    }


.checkbox-options-list {
    column-count: 2;
    grid-column: span 16;
}

.checkbox-option {
    width: 100%;
    background-color: var(--bs-body-bg) !important;
    padding: 3px;
}


#root {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

a {
    color: #0C0C0C;
    text-decoration: none;
}

ul {
    list-style: none;
    margin: 0;
    padding-left: 0;
    background: #ffff;
}

li {
    color: #fff;
    display: block;
    float: left;
    padding: 1rem;
    position: relative;
    text-decoration: none;
    transition-duration: 0.5s;
}

.form-field-grid {
    display: grid;
    grid-template-columns: repeat(16, 1fr);
    column-gap: 20px;
    row-gap: 10px;
    width: 100%;
}

.form-field-container {
    display: flex;
    flex-direction: column
}

.row-reverse {
    flex-direction: row-reverse;
}

.text-area-container {
    width: 41%;
    margin-bottom: 25px;
}

.form-headline {
    font-size: 14px;
}

.nav-options-container {
    display: flex;
    align-items: center;
    margin-right: 25px;
}

nav {
    background-color: #ffff;
    font-weight: 600;
}

a.nav-link span {
    color: black;
}

h1 {
    color: var(--app-text-color);
    font-weight: 500;
    margin-top: 0;
    margin-bottom: 1.5rem;
    line-height: 1.2;
}

h1:focus {
    outline: none;
}

.form-description {
    margin-top: 50px;
    margin-bottom: 75px;
}

    .form-description > p {
        margin-bottom: 50px;
    }

.input-label {
    font-size: 14px;
    width: 100%;
    color: #0C0C0C;
    line-height: 25px;
}

.input-description {
    font-size: 14px;
    width: 100%;
    color: #0C0C0C;
    line-height: 25px;
}

.form-container {
    margin-left: 220px;
    margin-right: 123px;
}

.form-button {
    border-width: 2px;
    font-size: 14px;
    border-radius: 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 15px;
    min-width: max-content;
}

    .form-button > svg {
        width: 20px;
        height: 20px;
        margin-right: 5px;
    }


.add-button {
    font-size: 15px;
    height: 40px;
    font-weight: 600 !important;
}

#main-header {
    background-color: white;
    background-color: var(--app-box-bg-color);
    box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.1);
    z-index: 1;
    height: 80px;
}

    #main-header .navbar {
        padding: 0;
        height: 100%;
    }

    #main-header .navbar-brand {
        padding: 3px;
    }

    #main-header .dropdown span {
        margin-right: .5rem;
        color: var(--app-text-color);
    }

    #main-header .dropdown svg {
        vertical-align: text-bottom;
    }

    #main-header .log-out svg {
        color: var(--app-text-gray-color);
        width: 1.25rem;
        height: 1.25rem;
    }

.form-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 65px;
}


    .form-header > h1 {
        font-size: 28px;
        text-align: right;
    }

    .form-header > img {
        width: 350px;
    }

textarea {
    border-radius: 0.5rem !important;
}

.section-description {
    display: flex;
    flex-direction: column;
    width: 100%;
    font-size: 16px;
    overflow-wrap: break-word;
    margin-bottom:25px;
}
.link {
    text-decoration: underline;
}

.form-button > h3 {
    font-size: 15px;
    margin: 0;
    margin-left: 15px;
}


.subsection-header {
    align-self: flex-start;
    font-size: 16px;
    margin-top: 50px;
    border-top: 1px solid #C1C1C1;
    width: 100%;
    padding-top: 15px;
    display: flex;
}

.centered-header {
    justify-content: center;
}

/* MudBlazor DatePicker fixes */
/* Use tenant theme colors for picker */
:root {
    --mud-palette-primary: rgb(var(--bs-primary-rgb)) !important;
}

/* White background for label */
.mud-date-input .mud-input-label {
    background-color: white;
}

/* Show label as black, do not change color when focused or errored */
.mud-date-input .mud-input-control.mud-input-outlined-with-label .mud-input-label.mud-input-label-inputcontrol,
.mud-date-input .mud-input-control.mud-input-outlined-with-label .mud-input-label.mud-input-label-inputcontrol.mud-input-error {
    color: rgba(0, 0, 0) !important;
}

/* Use default border color for fieldset, even when errored */
.mud-date-input .mud-input.mud-input-outlined .mud-input-outlined-border {
    border-color: #949494 !important;
    border-radius: 0.5rem;
}

/* Use tenant theme colors for focused fieldset */
.mud-date-input:focus-within .mud-input.mud-input-outlined .mud-input-outlined-border {
    border-color: color-mix(in srgb, var(--bs-primary) 50%, white);
    box-shadow: 0 0 0 .25rem rgb(var(--bs-primary-rgb), 0.25);
    border-width: 1px;
}

/* Decrease padding */
.mud-input>input.mud-input-root-outlined, div.mud-input-slot.mud-input-root-outlined {
    padding: 14px;
}
/* /MudBlazor DatePicker fixes */